Evaluator Suites
GET
/api/v1/evaluator-suites

Authorization

AuthorizationBearer <token>

JWT access token. Use: Authorization: Bearer .

In: header

Header Parameters

X-Workspace-Id?string|null
Authorization?string|null
X-API-Key?string|null
X-EFFICIENTAI-API-KEY?string|null

Response Body

application/json

application/json

curl -X GET "https://example.com/api/v1/evaluator-suites"
[  {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "organization_id": "7c60d51f-b44e-4682-87d6-449835ea4de6",    "name": "string",    "agent_id": "2b1e3b65-2c04-4fa2-a2d7-467901e98978",    "persona_id": "84321d19-6cb7-45af-a8d3-0bb38b11a872",    "persona_ids": [      "10736615-ba78-45d4-bb73-81b26b451a43"    ],    "personas": [      {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "name": "string",        "tts_provider": "string"      }    ],    "agent_name": "string",    "persona_name": "string",    "agent_call_type": "string",    "agent_call_medium": "string",    "voice_bundle_tts_provider": "string",    "metric_ids": [      "string"    ],    "llm_provider": "string",    "llm_model": "string",    "llm_config": {},    "tags": [      "string"    ],    "default_runs_per_combination": 1,    "round_robin_index": 0,    "is_active": false,    "agent_suite_count": 1,    "combination_count": 0,    "combinations": [      {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "evaluator_id": "string",        "persona_id": "84321d19-6cb7-45af-a8d3-0bb38b11a872",        "persona_name": "string",        "scenario_id": "7784650b-4be4-4735-b283-be5e48bad01f",        "scenario_name": "string",        "scenario_description": "string",        "scenario_required_info": null      }    ],    "created_at": "2019-08-24T14:15:22Z",    "updated_at": "2019-08-24T14:15:22Z",    "created_by": "string"  }]

Community & contact

  1. Found a bug or have a feature request? Open a GitHub issue.
  2. Join our Discord for faster replies!